import dateFns from 'date-fns/locale/ko';

/* Translated by Park Seok Ho */

export default {
  dateFns,

  format: {
    date: 'yyyy/M/d',
    time: 'HH:mm',
    dateTime: '$t(format:date) $t(format:time)',
    longDate: 'MMMMd일',
    longDateTime: "MMMMd'일 ' HH:MM",
  },

  translation: {
    common: {
      account: '계정',
      actions: '활동',
      addAttachment_title: '첨부파일 추가',
      addComment: '댓글',
      addManager_title: '관리자 추가',
      addMember_title: '회원 추가',
      addUser_title: '사용자 추가',
      administrator: '시스템 관리자',
      all: 'All',
      allChangesWillBeAutomaticallySavedAfterConnectionRestored:
        '모든 변경 사항은 연결이 복원된 후 자동으로 저장됩니다',
      areYouSureYouWantToDeleteThisAttachment: '첨부 파일을 삭제하시겠습니까?',
      areYouSureYouWantToDeleteThisBoard: '보드를 삭제하시겠습니까?',
      areYouSureYouWantToDeleteThisCard: '항목카드를 삭제하시겠습니까?',
      areYouSureYouWantToDeleteThisComment: '댓글을 삭제하시겠습니까?',
      areYouSureYouWantToDeleteThisLabel: '라벨을 삭제하시겠습니까?',
      areYouSureYouWantToDeleteThisList: '리스트를 삭제하시겠습니까?',
      areYouSureYouWantToDeleteThisProject: '프로젝트를 삭제하시겠습니까?',
      areYouSureYouWantToDeleteThisTask: '태스트를 삭제하겠습니까?',
      areYouSureYouWantToDeleteThisUser: '이 유저를 삭제하겠습니까?',
      areYouSureYouWantToLeaveBoard: '이 보드에서 나가시겠습니까?',
      areYouSureYouWantToLeaveProject: '이 프로젝트에서 나가시겠습니까?',
      areYouSureYouWantToRemoveThisManagerFromProject: '프로젝트에서 관리자를 제거하시겠습니까?',
      areYouSureYouWantToRemoveThisMemberFromBoard: '이 회원을 보드에서 탈퇴시키겠습니까?',
      attachment: '첨부파일',
      attachments: '첨부파일',
      authentication: '계정 관리',
      background: 'Background',
      board: '보드',
      boardNotFound_title: '보드를 찾을 수 없습니다.',
      cardActions_title: 'Card Actions',
      cardNotFound_title: '항목카드를 찾을 수 없습니다.',
      cardOrActionAreDeleted: '항목카드 혹은 활동내역이 삭제되었습니다.',
      color: 'Color',
      createBoard_title: '보드명칭을 입력하세요.',
      createLabel_title: '라벨 생성',
      createNewOneOrSelectExistingOne: '새 항목을 만들거나<br />기존 항목을 선택하세요.',
      createProject_title: '프로젝트 생성',
      createTextFile_title: 'Text File 생성',
      currentPassword: '현재 비밀번호',
      dangerZone_title: 'Danger Zone',
      date: '날짜',
      dueDate_title: '완료일',
      deleteAttachment_title: '첨부파일 삭제',
      deleteBoard_title: '보드 삭제',
      deleteCard_title: '항목 카드 삭제',
      deleteComment_title: '댓글 삭제',
      deleteLabel_title: '라벨 삭제',
      deleteList_title: '리스트 삭제',
      deleteProject_title: '프로젝트 삭제',
      deleteTask_title: '태스크 삭제',
      deleteUser_title: '사용자 삭제',
      description: '설명',
      detectAutomatically: '자동으로 감지',
      dropFileToUpload: '업로드 하기 위해서 파일을 Drop 하세요.',
      editAttachment_title: '첨부 수정',
      editAvatar_title: '프로필사진 수정',
      editBoard_title: '보드 수정',
      editDueDate_title: '완료일 수정',
      editEmail_title: '메일 수정',
      editInformation_title: '정보 수정',
      editLabel_title: '라벨 수정',
      editPassword_title: '비밀번호 수정',
      editStopwatch_title: '타이머 수정',
      editUsername_title: '사용자이름 수정',
      email: '메일',
      emailAlreadyInUse: '기 가입된 이메일이 존재합니다.',
      enterCardTitle: '항목카드명을 입력하세요...',
      enterDescription: '자세한 설명을 작성하세요...',
      enterFilename: '파일이름을 입력하세요...',
      enterListTitle: '리스트명을 입력 (예,todo,완료,이슈등...)',
      enterProjectTitle: '프로젝트명칭을 입력하세요.',
      enterTaskDescription: '태스크 설명을 입력하세요...',
      filterByLabels_title: '라벨 검색',
      filterByMembers_title: '회원으로 검색',
      fromComputer_title: 'PC로 부터',
      general: 'General',
      hours: '시',
      invalidCurrentPassword: '현재 패스워드는 유효하지 않습니다.',
      labels: '라벨',
      language: '언어 선택',
      leaveBoard_title: '보드 탈퇴',
      leaveProject_title: '프로젝트 탈퇴',
      list: '내역',
      listActions_title: '활용 내역',
      managers: '관리자',
      members: '팀원',
      minutes: '분',
      moveCard_title: '항목카드 이동',
      name: '이름',
      newEmail: '새로운 메일',
      newPassword: '새로운 패스워드',
      newUsername: '새로운 사용자 이름',
      noConnectionToServer: '서버에 연결할수 없습니다.',
      noBoards: '보드가 존재하지 않습니다.',
      noLists: '리스트가 존재하지 않습니다.',
      noProjects: '프로젝트가 존재하지 않습니다.',
      notifications: '알림',
      noUnreadNotifications: '알림을 모두 확인했습니다.',
      openBoard_title: '보드열기',
      optional_inline: '옵션',
      organization: '조직',
      phone: '전화번호',
      preferences: '환경설정',
      pressPasteShortcutToAddAttachmentFromClipboard:
        'Tip: 클립보드에서 첨부 파일을 추가하려면 Ctrl-V(Mac의 경우 Cmd-V) 입니다..',
      project: '프로젝트',
      projectNotFound_title: '프로젝트가 존재하지 않습니다.',
      removeManager_title: '관리자 삭제',
      removeMember_title: '맴버 삭제',
      seconds: '초',
      selectBoard: '보드 선택',
      selectList: '리스트 선택',
      selectProject: '프로젝트 선택',
      settings: '설정',
      stopwatch: '활동시간',
      subscribeToMyOwnCardsByDefault: '내 항목카드는 기본으로 구독',
      taskActions_title: '태스크 활동',
      tasks: '태스크',
      thereIsNoPreviewAvailableForThisAttachment:
        '이 첨부 파일에 사용할 수 있는 미리보기가 없습니다.',
      time: '시간',
      title: '제목',
      userActions_title: '',
      userAddedThisCardToList: '<0>{{user}}</0><1>이 카드를 {{list}}</1>에 추가했습니다.',
      userLeftNewCommentToCard:
        '{{user}}이(가) <2>{{card}}</2>에 «{{comment}}»라는 댓글을 남겼습니다',
      userMovedCardFromListToList: '{{user}} moved <2>{{card}}</2> from {{fromList}} to {{toList}}',
      userMovedThisCardFromListToList:
        '<0>{{user}}</0><1> 이 항목카드를  {{fromList}} 에서 {{toList}} 으로 이동했습니다. </1>',
      username: '아이디',
      usernameAlreadyInUse: '이미 사용중인 사용자입니다.',
      users: '사용자',
      writeComment: '댓글 작성...',
    },

    action: {
      addAnotherCard: '다른 항목카드 추가',
      addAnotherList: '다른 리스트 추가',
      addAnotherTask: '다른 TASK 추가',
      addCard: '항목카드 추가',
      addCard_title: '항목카드 추가',
      addComment: '댓글 추가',
      addList: '리스트 추가',
      addMoreDetailedDescription: '자세한 설명 추가',
      addTask: '태스트 추가',
      addToCard: '항목카드 추가',
      addUser: '사용자 추가',
      createBoard: '보드 생성',
      createFile: '파일 생성',
      createLabel: '라벨 생성',
      createNewLabel: '새로운 라벨 생성',
      createProject: '프로젝트 생성',
      delete: '삭제',
      deleteAttachment: '첨부삭제',
      deleteAvatar: '프로필 사진 삭제',
      deleteBoard: '보드 삭제',
      deleteCard: '항목카드 삭제',
      deleteCard_title: '항목카드 삭제',
      deleteComment: '댓글 삭제',
      deleteImage: '이미지 삭제',
      deleteLabel: '라벨 삭제',
      deleteList: '리스트 삭제',
      deleteList_title: '리스트 삭제',
      deleteProject: '프로젝트 삭제',
      deleteProject_title: '프로젝트 삭제',
      deleteTask: '태스트 삭제',
      deleteTask_title: '태스트 삭제',
      deleteUser: '사용자 삭제',
      edit: '수정',
      editDueDate_title: '완료일 수정',
      editDescription_title: '설명 수정',
      editEmail_title: '메일 수정',
      editInformation_title: '정보 수정',
      editPassword_title: '패스워드 수정',
      editStopwatch_title: '시간 수정',
      editTitle_title: '제목 수정',
      editUsername_title: '이름 수정',
      leaveBoard: '보드에서 나가기',
      leaveProject: '프로젝트에서 나가기',
      logOut_title: '로그아웃',
      makeCover_title: '커버 만들기',
      move: '이동',
      moveCard_title: '항목카드 이동',
      remove: '제거',
      removeBackground: '백그라운드 제거',
      removeCover_title: '커버 제거',
      removeFromBoard: '보드에서 제거',
      removeFromProject: '프로젝트에서 제거',
      removeManager: '관리자 삭제',
      removeMember: '멤버 삭제',
      save: '저장',
      showAllAttachments: '모든 첨부파일 표시 ({{hidden}} hidden)',
      showFewerAttachments: '일부 첨부파일만 표시',
      start: '시작',
      stop: '끝',
      subscribe: '구독하기',
      unsubscribe: '구독 취소',
      uploadNewAvatar: '새로운 프로필 사진 업로드',
      uploadNewImage: '새로운 이미지 업로드',
    },
  },
};
